## fo-flow

fo-flow —

## Synopsis

                FoFlow;
                FoFlowClass;
    FoFo*       fo_flow_new                     (void);
    FoFo*       fo_flow_get_region_master       (FoFo *fo_fo);
    void        fo_flow_set_flow_name           (FoFo *fo_fo,
                                                 FoProperty *new_flow_name);
    FoProperty* fo_flow_get_flow_name           (FoFo *fo_fo);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoNode
                   +----FoFo
                         +----FoFlow

## Properties

      "flow-name"            FoProperty            : Read

## Description

## Details

### FoFlow

    typedef struct _FoFlow FoFlow;

Instance of the 'flow' formatting object.

### FoFlowClass

    typedef struct _FoFlowClass FoFlowClass;

Class structure for the 'flow' formatting object.

### fo_flow_new ()

    FoFo*       fo_flow_new                     (void);

Creates a new FoFlow initialized to default value.

Returns : | the new FoFlow.

### fo_flow_get_region_master ()

    FoFo*       fo_flow_get_region_master       (FoFo *fo_fo);

Gets the region_master instance variable of `flow`

`fo_fo` : | The `FoFlow` object
Returns : | The "region_master" value

### fo_flow_set_flow_name ()

    void        fo_flow_set_flow_name           (FoFo *fo_fo,
                                                 FoProperty *new_flow_name);

Sets the "flow-name" property of `fo_fo` to `new_flow_name`.

`fo_fo` : | The FoFo object.
`new_flow_name` : | The new "flow-name" property value.

### fo_flow_get_flow_name ()

    FoProperty* fo_flow_get_flow_name           (FoFo *fo_fo);

Gets the "flow-name" property of `fo_fo`.

`fo_fo` : | The `FoFo` object.
Returns : | The "flow-name" property value.

## Property Details

### The "`flow-name`" property

      "flow-name"            FoProperty            : Read

Flow Name property.